Summary: Information provider for SLURM
Name: info-dynamic-scheduler-slurm
Version: 1.0.2
Release: 1%{?dist}%{!?dist:.el5}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: Applications/Internet
BuildArch: noarch
Requires: dynsched-generic >= 2.5.3
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz


%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%description
Information provider for SLURM.

%prep

%setup -c -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
python setup.py install -O1 --prefix %{buildroot}/usr --install-data %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/libexec/info-dynamic-slurm
/usr/libexec/lrmsinfo-slurm
%dir %{python_sitelib}/SLURMInfoUtils
%{python_sitelib}/SLURMInfoUtils/*.py
%{python_sitelib}/SLURMInfoUtils/*.pyc
%{python_sitelib}/SLURMInfoUtils/*.pyo
%if 0%{?el6}
%{python_sitelib}/*.egg-info
%endif

%post
TMPVAR=`grep -Eo '\[LRMS\]' /etc/lrms/scheduler.conf`
if [ "x${TMPVAR}" == "x" ] ; then

    cat << EOF >> /etc/lrms/scheduler.conf
[LRMS]
lrms_backend_cmd: /usr/libexec/lrmsinfo-slurm
[Scheduler]
cycle_time : 0
EOF

fi

%preun
sed -i -e 's|\[LRMS\]||g' \
       -e 's|lrms_backend_cmd.*||g' \
       -e 's|\[Scheduler\]||g' \
       -e 's|cycle_time.*||g' /etc/lrms/scheduler.conf


%triggerin -- bdii
INFOD_WRAP=/var/lib/bdii/gip/plugin/glite-info-dynamic-ce
if [ ! -e ${INFOD_WRAP} ] ; then
    cat << EOF > ${INFOD_WRAP}
#!/bin/sh
/usr/libexec/info-dynamic-slurm /etc/lrms/scheduler.conf
EOF
    chmod a+x ${INFOD_WRAP}

fi

%triggerun -- bdii
if [ $1 == 0 -o $2 == 0 ] ; then
    rm -f /var/lib/bdii/gip/plugin/glite-info-dynamic-ce
fi

%triggerin -- glite-ce-cream-utils
TMPVAR=`grep -Eo '\[WSInterface\]' /etc/lrms/scheduler.conf`
if [ "x${TMPVAR}" == "x" ] ; then

    cat << EOF >> /etc/lrms/scheduler.conf
[WSInterface]
status-probe : "/usr/libexec/glite-ce-check-submission-state /etc/glite-ce-dbtool/creamdb_min_access.conf"
EOF

fi


%changelog
* Thu Oct 31 2013 CREAM group <cream-support@lists.infn.it> - 1.0.2-1
- Fixed bug https://issues.infn.it/jira/browse/CREAM-140
- Fixed bug https://issues.infn.it/jira/browse/CREAM-142

* Thu Oct 31 2013 CREAM group <cream-support@lists.infn.it> - 1.0.1-1
- Implemented info-dynamic-slurm
- Fixed bug https://issues.infn.it/jira/browse/CREAM-116
- New package structure: triggers for bdii

* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 1.0.0-1
- New major release


